import QtQuick 1.0

Rectangle {
    property alias text: menuText.text

    signal menuItemClicked

    height: c_rect_size
    width: parent.width
    color: menuItemMA.pressed ? "#c0c0c0" : (main.inverted ? "black" : "white")
    Text {
        id: menuText
        font.pixelSize: c_font_size
        anchors.left: parent.left
        anchors.leftMargin: c_font_size
        anchors.verticalCenter: parent.verticalCenter
        color: main.inverted ? "white" : "black"
        text: "Delete"
    }
    MouseArea {
        id: menuItemMA
        anchors.fill: parent
        onClicked: menuItemClicked()
    }
}
