import QtQuick 1.0

Item {
    property string image: '';
    signal buttonClicked;

    height: c_rect_size*2
    width: c_rect_size*4/3

    Rectangle {
        visible: toolbarButtonMA.pressed
        anchors.fill: parent

        gradient: WhiteGradient {}
        radius: c_rect_size/4
        smooth: true
    }

    Image {
        anchors.fill: parent
        source: "../images/" + image + (main.inverted ? '_inv' : '') + ".svg"
        smooth: true
    }

    MouseArea {
        id: toolbarButtonMA
        anchors.fill: parent
        onClicked: buttonClicked()
    }
}
