import QtQuick 1.0


Rectangle {
    id: button
    property alias text: buttonText.text
    signal buttonClicked

    height: c_rect_size
    width: buttonText.width*1.4
    gradient: WhiteGradient {
        inverted: buttonMA.pressed
    }

    border.width: 1
    border.color: main.inverted ? "white" : "black"
    Text {
        id: buttonText
        anchors.centerIn: parent
        height: c_font_size
        font.pixelSize: c_font_size
        font.bold: true
        color: "black"
    }

    MouseArea {
        id: buttonMA
        anchors.fill: parent
        onClicked: button.buttonClicked()
    }
}
